// Source: https://gitlab.com/pleio/frontend/-/blob/dev/src/js/core/components/FeedItem/FeedItem.jsx
// Note: see https://gitlab.com/pleio/frontend/-/blob/dev/src/js/theme/themeConstants.js for constants
// Note: see https://gitlab.com/pleio/frontend/-/blob/dev/src/js/lib/helpers/breakpoints.js for breakpoints

.FeedItem {
  display: flex;
  flex-direction: column;
  // margin-bottom: 20px;

  .FeedItemImage {
    order: -1;
  }

  .FeedItemOptions {
    display: flex;
    justify-content: flex-end;
    position: absolute;
  }

  @media (max-width: 575px) {
    .FeedItemOptions {
      top: calc(16px - 4px);
      right: 20px;
    }

    .FeedItemImage+.FeedItemOptions {
      top: calc(150px + 16px - 4px);
    }
  }

  @media (min-width: 768px) {
    .FeedItemOptions {
      top: calc(20px - 4px);
      right: 24px;
    }

    .FeedItemImage+.FeedItemOptions {
      top: calc(150px + 20px - 4px);
    }
  }

  .FeedItemOptions__Alternative {
    top: 8px;
    right: 8px;
  }

  .FeedItemImage+.FeedItemOptions__Alternative {
    top: calc(150px + 8px);
  }

  .FeedItemOption {
    outline-offset: 0;
    pointer-events: auto;

    @media (max-width: 767px) {
      background-color: transparent;
    }

    @media (min-width: 992px) {
      opacity: 0;
      transition: opacity 0.15s ease;

      body:not(.mouse-user) &,
      &[aria-expanded="true"] {
        opacity: 1;
      }
    }
  }

  @media (min-width: 992px) {
    &:hover {
      .FeedItemOption {
        opacity: 1;
      }
    }
  }

  .FeedItemContent {
    width: 100%;
    display: flex;
    flex-direction: column;
    max-width: 540px;
    margin: 0 auto;
    flex-grow: 1;
  }

  .FeedItemHeader {
    order: -1;
    display: flex;
    margin-bottom: 14px;

    // @media (max-width: 767px) {
    //   padding-right: 80px;
    // }

    // @media (max-width: 575px) {
    //   padding-right: 40px;
    // }

    .FeedItemMeta {
      order: 0;
      margin-top: -2px;
      margin-bottom: 0;
    }
  }

  .FeedItemAvatar {
    margin-right: 10px;
  }

  .FeedItemAuthorAndMeta {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-top: -2px;
  }

  .FeedItemAuthor {
    font-size: 14px;
    font-size: 0.875rem;
    line-height: 1.25rem;
    font-weight: bold;
    color: #000000;
  }

  .FeedItemMeta {
    order: -1; // If there is no .FeedItemHeader
    font-size: 0.75rem;
    line-height: 16px;
    color: rgba(0, 0, 0, .55);
    margin-bottom: 2px; // If there is no .FeedItemHeader
    user-select: none;

    >* {
      display: inline-block;

      &:not(:last-child):after {
        content: '  •  ';
        white-space: pre;
      }
    }

    a:hover {
      color: #000000;
    }
  }

  .FeedItemTitle {
    +.FeedItemExcerpt {
      margin-top: 4px;
    }
  }

  .FeedItemDate {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 24px;
  }
}
